local button_name = "leftovermodgui_button"

-- Create a button on gui.top for the created player.
local function on_player_created(event)
	local player = game.players[event.player_index]
	local top = player.gui.top
	
	top.add{type = "button", name = button_name, caption = {"gui.leftovermodgui_button-caption"}}
end
script.on_event(defines.events.on_player_created, on_player_created)



-- Print something if our button is clicked.
local function on_gui_click(event)
	if event.element.name == button_name then
		local player = game.players[event.player_index]
		player.print("You clicked the button!")
	end
end
script.on_event(defines.events.on_gui_click, on_gui_click)